Loading...
Searching...
No Matches
mem_alloc.h File Reference

Memory allocator C interface. More...

`#include <l4/re/env.h>`
`#include <l4/sys/compiler.h>`
`#include <l4/sys/consts.h>`
`#include <l4/re/c/dataspace.h>`
Include dependency graph for mem_alloc.h:

Go to the source code of this file.

## Enumerations

enum | l4re_ma_flags
| Flags for requesting memory at the memory allocator. More...

## Functions

long | l4re_ma_alloc (long size, l4re_ds_t const mem, unsigned long flags) L4_NOTHROW
| Allocate memory.
long | l4re_ma_alloc_align (long size, l4re_ds_t const mem, unsigned long flags, unsigned long align) L4_NOTHROW
| Allocate memory.
long | l4re_ma_alloc_align_srv (l4_cap_idx_t srv, long size, l4re_ds_t const mem, unsigned long flags, unsigned long align) L4_NOTHROW
| Allocate memory.

## Detailed Description

Memory allocator C interface.

Definition in file mem_alloc.h.